reorder

Functions
reorder
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Reorder an array according to the specified dimensions. More...

## Functions
AFAPI array | reorder (const array &in, const unsigned x, const unsigned y=1, const unsigned z=2, const unsigned w=3)
AFAPI af_err | af_reorder (af_array *out, const af_array in, const unsigned x, const unsigned y, const unsigned z, const unsigned w)

## Detailed Description

Reorder an array according to the specified dimensions.

Exchanges data of an array such that the requested change in dimension is satisfied. The linear ordering of data within the array is preserved.

a [2 2 3 1]
1.0000 3.0000
2.0000 4.0000
1.0000 3.0000
2.0000 4.0000
1.0000 3.0000
2.0000 4.0000
reorder(a, 1, 0, 2) [2 2 3 1] //equivalent to a transpose
1.0000 2.0000
3.0000 4.0000
1.0000 2.0000
3.0000 4.0000
1.0000 2.0000
3.0000 4.0000
reorder(a, 2, 0, 1) [3 2 2 1]
1.0000 2.0000
1.0000 2.0000
1.0000 2.0000
3.0000 4.0000
3.0000 4.0000
3.0000 4.0000

## Function Documentation

## § af_reorder()

AFAPI af_err af_reorder | ( | af_array * | out,
|  | const af_array | in,
|  | const unsigned | x,
|  | const unsigned | y,
|  | const unsigned | z,
|  | const unsigned | w
| ) |  |

Parameters

  [out] | out | is the reordered array
  [in] | in | is the input matrix
  [in] | x | specifies which dimension should be first
  [in] | y | specifies which dimension should be second
  [in] | z | specifies which dimension should be third
  [in] | w | specifies which dimension should be fourth

## § reorder()

AFAPI array af::reorder | ( | const array & | in,
|  | const unsigned | x,
|  | const unsigned | y = `1`,
|  | const unsigned | z = `2`,
|  | const unsigned | w = `3`
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | x | specifies which dimension should be first
  [in] | y | specifies which dimension should be second
  [in] | z | specifies which dimension should be third
  [in] | w | specifies which dimension should be fourth

Returns
  the reordered output